    001/*
    002 * Copyright (c) 2007-2016 Concurrent, Inc. All Rights Reserved.
    003 *
    004 * Project and contact information: http://www.cascading.org/
    005 *
    006 * This file is part of the Cascading project.
    007 *
    008 * Licensed under the Apache License, Version 2.0 (the "License");
    009 * you may not use this file except in compliance with the License.
    010 * You may obtain a copy of the License at
    011 *
    012 *     http://www.apache.org/licenses/LICENSE-2.0
    013 *
    014 * Unless required by applicable law or agreed to in writing, software
    015 * distributed under the License is distributed on an "AS IS" BASIS,
    016 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    017 * See the License for the specific language governing permissions and
    018 * limitations under the License.
    019 */
    020
    021package cascading.operation;
    022
    023import cascading.flow.FlowProcess;
    024
    025/**
    026 * Class ValueAssertion is a kind of {@link Assertion} used with the {@link cascading.pipe.Each} pipe Operator.
    027 * <p/>
    028 * Implementers must also extend {@link BaseOperation}.
    029 */
    030public interface ValueAssertion<C> extends Assertion<C>
    031  {
    032  /**
    033   * Method doAssert performs the assertion.
    034   *
    035   * @param flowProcess   of type FlowProcess
    036   * @param assertionCall of type ValueAssertionCall
    037   */
    038  void doAssert( FlowProcess flowProcess, ValueAssertionCall<C> assertionCall );
    039  }